<?
require '../sys/inc/start.php';
require '../sys/inc/compress.php';
require '../sys/inc/sess.php';
require '../sys/inc/home.php';
require '../sys/inc/settings.php';
require '../sys/inc/db_connect.php';
require '../sys/inc/ipua.php';
require '../sys/inc/fnc.php';
require '../sys/inc/user.php';

if(isset($_GET['s']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `soo` WHERE `id` = '".intval($_GET['s'])."' LIMIT 1"),0)==1)
{
$s=intval($_GET['s']);
$soo=mysql_fetch_assoc(mysql_query("SELECT * FROM `soo` WHERE `id` = '$s' LIMIT 1"));
require 'inc/ban.php';
$set['title']=$soo['name'].' - Мини-чат'; // заголовок страницы
require '../sys/inc/thead.php';
title();
if($soo['konf_soo']==0 || isset($user) && mysql_result(mysql_query("SELECT COUNT(*) FROM `soo_users` WHERE `id_soo` = '$soo[id]' AND `id_user`='$user[id]' AND `invit`='0' AND `activate`='0' LIMIT 1"),0)==1 || isset($user) && $user['id']==$soo['admid'] || isset($user) && $user['level']>0)
{
if(isset($user) && $user['id']==$soo['admid'] && isset($_GET['del']))
{
if($_GET['del']=='all'){mysql_query("DELETE FROM `soo_chat` WHERE `id_soo`='$soo[id]'"); msg('Чат успешно очищен');}
elseif(mysql_result(mysql_query("SELECT COUNT(*) FROM `soo_chat` WHERE `id` = '".intval($_GET['del'])."' AND `id_soo`='$soo[id]' LIMIT 1"),0)==1)
{
mysql_query("DELETE FROM `soo_chat` WHERE `id`='".intval($_GET['del'])."' LIMIT 1");
msg('Сообщение успешно удалено');
}
}
if (isset($_POST['msg']) && isset($user) && (mysql_result(mysql_query("SELECT COUNT(*) FROM `soo_users` WHERE `id_soo` = '$soo[id]' AND `id_user`='$user[id]' AND `invit`='0' AND `activate`='0' LIMIT 1"),0)==1 || $user['id']==$soo['admid']))
{
$msg=$_POST['msg'];
if (isset($_POST['translit']) && $_POST['translit']==1)$msg=translit($msg);

$mat=antimat($msg);
if ($mat)$err[]='В тексте сообщения обнаружен мат: '.$mat;

if (strlen2($msg)>1024){$err[]='Сообщение слишком длинное';}
elseif (strlen2($msg)<2){$err[]='Короткое сообщение';}
elseif (mysql_result(mysql_query("SELECT COUNT(*) FROM `soo_chat` WHERE `id_soo`='$soo[id]' AND `id_user` = '$user[id]' AND `mess` = '".my_esc($msg)."' LIMIT 1"),0)!=0){$err='Ваше сообщение повторяет предыдущее';}
elseif(!isset($err)){

mysql_query("INSERT INTO `soo_chat` (`id_soo`, `id_user`, `mess`, `time`) values('$soo[id]', '$user[id]', '".my_esc($msg)."', '$time')");
msg('Сообщение успешно добавлено');
}
}
if (isset($user) && (mysql_result(mysql_query("SELECT COUNT(*) FROM `soo_users` WHERE `id_soo` = '$soo[id]' AND `id_user`='$user[id]' AND `invit`='0' AND `activate`='0' LIMIT 1"),0)==1 || $user['id']==$soo['admid']))
{
echo '<form method="post" name="message" action="?s='.$soo['id'].'&'.$passgen.'">';
echo "<div class='textmes'>\n";
echo 'Сообщение:<br/><textarea name="msg"></textarea><br/>';

if ($user['set_translit']==1)echo '<label><input type="checkbox" name="translit" value="1"/> Транслит</label><br />';
echo '<input value="Добавить" type="submit" />';
echo '</form>';
echo "</div>\n";
}
else
echo 'Вы не можете писать сообщение в мини-чате данного сообщества<br/>';
err();
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `soo_chat` WHERE `id_soo`='$soo[id]'"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
if ($k_post==0)
{
?>
<div class='noy'>Нет сообщений</div>
<?
}

$q=mysql_query("SELECT * FROM `soo_chat` WHERE `id_soo`='$soo[id]' ORDER BY id DESC LIMIT $start, $set[p_str]");
while ($post = mysql_fetch_assoc($q))
{
$ank=get_user($post['id_user']);
if($num==1){
echo "<div class='enk_div'>\n";
$num=0;
}else{
echo "<div class='enk2_div'>\n";
$num=1;}
echo "".status($ank['id'])." ";
echo "<a href='/info.php?id=$ank[id]'>$ank[nick]</a>\n";
echo " ".medal($ank['id'])."";
echo " (".vremja($post['time']).")<br />\n";
################################################################################
echo esc(trim(br(bbcode(smiles(links(stripcslashes(htmlspecialchars($post['mess']))))))))."<br />\n";
if (isset($user) && $user['id']==$soo['admid'])
echo '<a href="?s='.$soo['id'].'&del='.$post['id'].'">Удалить</a><br />';
echo '</div>';
}
echo '</table>';
if ($k_page>1)str("?s=$soo[id]&",$k_page,$page); // Вывод страниц
if (isset($user) && $user['id']==$soo['admid'])echo '<div class="fyt"><a href="?s='.$soo['id'].'&del=all"><u>Очистить чат</u></a></div>';
echo "<div class='fyt'>\n";
echo '<img src="img/back.png" alt="" class="icon"/> <a href="index.php?s='.$soo['id'].'">В сообщество</a>';
echo "</div>\n";
}else{
echo "Вам недоступен просмотр чата данного сообщества\n";
}
}else{
header("Location:index.php");
}
require '../sys/inc/tfoot.php';
?>